// Title: Pro ASP.NET 3.5 Server Controls and AJAX Components
//
// Chapter: 3 - ASP.NET State Management
// File: StatelessLabel.cs
// Written by: Rob Cameron and Dale Michalk
//
// Copyright  2007, Apress L.P.
using System.ComponentModel;
using System.Web.UI;

namespace ControlsBook2Lib.Ch03
{
  [ToolboxData("<{0}:statelesslabel runat=server></{0}:statelesslabel>"),
  DefaultProperty("Text")]
  public class StatelessLabel : Control
  {
    public string Text { get; set; }

    override protected void Render(HtmlTextWriter writer)
    {
      base.Render(writer);

      writer.RenderBeginTag(HtmlTextWriterTag.Span);
      writer.Write(Text);
      writer.RenderEndTag();
    }
  }
}